NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.TextBuilder Class Reference

Represents a NXOpen.Features.Text builder More...

Inheritance diagram for NXOpen.Features.TextBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  FontStyleOptions { Regular, Italic, Bold, BoldItalic }
 Font style options More...
 
enum  OnFacePlacementMethodOptions { CurvesOnFaces, SectionPlane }
 The placement options for NXOpen.Features.TextBuilder.Types.OnFace type More...
 
enum  OrientationMethodOptions { Natural, Vector }
 The orientation options for NXOpen.Features.TextBuilder.Types.OnCurve type More...
 
enum  ScriptOptions {
  Other, Western, Baltic, ChineseBig5,
  CentralEuropean, Gb2312, Greek, Hangul,
  Mac, Oem, Cyrillic, ShiftJIS,
  Symbol, Turkish, Vietnamese, Johab,
  Arabic, Hebrew, Thai
}
 Script or character set options More...
 
enum  Types { Planar, OnCurve, OnFace }
 Text placement type More...
 

Public Member Functions

unsafe void SelectFont (string fontName, NXOpen.Features.TextBuilder.ScriptOptions script)
 Selects the font along with appropriate character set More...
 
unsafe void UpdateOnOrientationVectorReversal ()
 Updates the builder based on orientation vector sense More...
 
unsafe void UpdateOnSectionPlane ()
 Updates the builder based on section plane More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool CanCreateBoundingBox [get, set]
 Returns or sets the flag indicating if bounding box can be created More...
 
unsafe bool CanJoinCurves [get, set]
 Returns or sets the flag indicating if curves can be joined More...
 
unsafe bool CanProjectCurves [get, set]
 Returns or sets the flag indicating if curves can be projected More...
 
unsafe bool CanReferenceText [get, set]
 Returns or sets the flag indicating if text feature can reference a string expression More...
 
unsafe bool CanReverseIntersectionCurve [get, set]
 Returns or sets the flag indicating if intersection curve can be reversed More...
 
unsafe bool CanUseKerningSpaces [get, set]
 Returns or sets the flag indicating if kerning spaces can be used More...
 
unsafe string Font [get]
 Returns the font More...
 
unsafe
NXOpen.Features.TextBuilder.FontStyleOptions 
FontStyle [get, set]
 Returns or sets the font style More...
 
unsafe
NXOpen.GeometricUtilities.FrameOnPathBuilder 
FrameOnPath [get]
 Returns the frame on path More...
 
unsafe bool IsAssociative [get, set]
 Returns or sets the flag indicating if operation is associative More...
 
unsafe bool IsPrintMark [get, set]
 Returns or sets the flag indicating if this text feature is a Print Mark More...
 
unsafe NXOpen.Section OnCurvePlacementProfile [get]
 Returns the placement profile for NXOpen.Features.TextBuilder.Types.OnCurve type More...
 
unsafe
NXOpen.Features.TextBuilder.OnFacePlacementMethodOptions 
OnFacePlacementMethod [get, set]
 Returns or sets the placement method for NXOpen.Features.TextBuilder.Types.OnFace type More...
 
unsafe NXOpen.Section OnFacePlacementProfile [get]
 Returns the placement profile for NXOpen.Features.TextBuilder.Types.OnFace type More...
 
unsafe
NXOpen.Features.TextBuilder.OrientationMethodOptions 
OrientationMethod [get, set]
 Returns or sets the orientation method for NXOpen.Features.TextBuilder.Types.OnCurve type More...
 
unsafe NXOpen.Direction OrientationVector [get, set]
 Returns or sets the orientation vector More...
 
unsafe NXOpen.ScCollector PlacementFaces [get]
 Returns the placement faces for NXOpen.Features.TextBuilder.Types.OnFace type More...
 
unsafe
NXOpen.GeometricUtilities.RectangularFrameBuilder 
PlanarFrame [get]
 Returns the planar frame More...
 
unsafe NXOpen.Expression PrintMarkThickness [get]
 Returns the print mark thickness More...
 
unsafe string PrintMarkUsageLabel [get, set]
 Returns or sets the print mark usage label More...
 
unsafe
NXOpen.Features.TextBuilder.ScriptOptions 
Script [get, set]
 Returns or sets the script More...
 
unsafe NXOpen.Plane SectionPlane [get, set]
 Returns or sets the section plane for NXOpen.Features.TextBuilder.Types.OnFace type More...
 
unsafe NXOpen.Expression Text [get]
 Returns the string expression representing the text More...
 
unsafe string TextString [get, set]
 Returns or sets the string to be rendered More...
 
unsafe
NXOpen.Features.TextBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.Text builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateTextBuilder

Default values.

Property Value

CanCreateBoundingBox

0

CanJoinCurves

1

CanProjectCurves

0

CanReferenceText

0

CanUseKerningSpaces

1

FontStyle

Regular

FrameOnPath.AnchorLocation

Center

FrameOnPath.Height.Value

10 (millimeters part), 1 (inches part)

FrameOnPath.Offset.Value

0 (millimeters part), 0 (inches part)

FrameOnPath.WScale

100

IsAssociative

1

IsPrintMark

0

OnFacePlacementMethod

CurvesOnFaces

OrientationMethod

Natural

PlanarFrame.AnchorLocation

BottomCenter

PlanarFrame.Height.Value

10 (millimeters part), 1 (inches part)

PlanarFrame.Shear.Value

0

PlanarFrame.WScale

100

PrintMarkThickness.Value

1 (millimeters part), 0.05 (inches part)

Created in NX7.5.1

Member Enumeration Documentation

Font style options

Enumerator
Regular 

Regular style

Italic 

Italic style

Bold 

Bold style

BoldItalic 

Bold italic style

The placement options for NXOpen.Features.TextBuilder.Types.OnFace type

Enumerator
CurvesOnFaces 

Placement on curves or edges on the faces

SectionPlane 

Placement on intersection curve created by a plane and the faces

The orientation options for NXOpen.Features.TextBuilder.Types.OnCurve type

Enumerator
Natural 

Orientation along natural curve normals

Vector 

Orientation along a vector

Script or character set options

Enumerator
Other 

Specifies a default character set based on current system locale

Western 

Specifies the English character set

Baltic 

Specifies the Baltic (Northeastern European) character set

ChineseBig5 

Specifies the "traditional" Chinese character set

CentralEuropean 

Specifies a Eastern European character set

Gb2312 

Specifies the "simplified" Chinese character set

Greek 

Specifies the Greek character set

Hangul 

Specifies the Hangul Korean character set

Mac 

Specifies the Apple Macintosh character set

Oem 

Specifies a mapping to one of the OEM code pages, according to the current system locale setting

Cyrillic 

Specifies the Russian Cyrillic character set

ShiftJIS 

Specifies the Japanese character set

Symbol 

Specifies a character set of symbols

Turkish 

Specifies the Turkish character set

Vietnamese 

Specifies the Vietnamese character set

Johab 

Specifies the Johab Korean character set

Arabic 

Specifies the Arabic character set

Hebrew 

Specifies the Hebrew character set

Thai 

Specifies the Thai character set

Text placement type

Enumerator
Planar 

Placement on a plane

OnCurve 

Placement on a profile

OnFace 

Placement on faces

Member Function Documentation

unsafe void NXOpen.Features.TextBuilder.SelectFont ( string  fontName,
NXOpen.Features.TextBuilder.ScriptOptions  script 
)
inline

Selects the font along with appropriate character set

Created in NX7.5.1

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
fontNameFont
scriptCharacter set
unsafe void NXOpen.Features.TextBuilder.UpdateOnOrientationVectorReversal ( )
inline

Updates the builder based on orientation vector sense

Created in NX7.5.1

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.Features.TextBuilder.UpdateOnSectionPlane ( )
inline

Updates the builder based on section plane

Created in NX7.5.1

License requirements: solid_modeling ("SOLIDS MODELING")

Property Documentation

unsafe bool NXOpen.Features.TextBuilder.CanCreateBoundingBox
getset

Returns or sets the flag indicating if bounding box can be created

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.TextBuilder.CanJoinCurves
getset

Returns or sets the flag indicating if curves can be joined

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.TextBuilder.CanProjectCurves
getset

Returns or sets the flag indicating if curves can be projected

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.TextBuilder.CanReferenceText
getset

Returns or sets the flag indicating if text feature can reference a string expression

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.TextBuilder.CanReverseIntersectionCurve
getset

Returns or sets the flag indicating if intersection curve can be reversed

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.TextBuilder.CanUseKerningSpaces
getset

Returns or sets the flag indicating if kerning spaces can be used

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe string NXOpen.Features.TextBuilder.Font
get

Returns the font

Created in NX7.5.1

License requirements: None.

unsafe NXOpen.Features.TextBuilder.FontStyleOptions NXOpen.Features.TextBuilder.FontStyle
getset

Returns or sets the font style

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.FrameOnPathBuilder NXOpen.Features.TextBuilder.FrameOnPath
get

Returns the frame on path

Created in NX7.5.1

License requirements: None.

unsafe bool NXOpen.Features.TextBuilder.IsAssociative
getset

Returns or sets the flag indicating if operation is associative

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.TextBuilder.IsPrintMark
getset

Returns or sets the flag indicating if this text feature is a Print Mark

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Section NXOpen.Features.TextBuilder.OnCurvePlacementProfile
get

Returns the placement profile for NXOpen.Features.TextBuilder.Types.OnCurve type

Created in NX7.5.1

License requirements: None.

unsafe NXOpen.Features.TextBuilder.OnFacePlacementMethodOptions NXOpen.Features.TextBuilder.OnFacePlacementMethod
getset

Returns or sets the placement method for NXOpen.Features.TextBuilder.Types.OnFace type

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.TextBuilder.OnFacePlacementProfile
get

Returns the placement profile for NXOpen.Features.TextBuilder.Types.OnFace type

Created in NX7.5.1

License requirements: None.

unsafe NXOpen.Features.TextBuilder.OrientationMethodOptions NXOpen.Features.TextBuilder.OrientationMethod
getset

Returns or sets the orientation method for NXOpen.Features.TextBuilder.Types.OnCurve type

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.TextBuilder.OrientationVector
getset

Returns or sets the orientation vector

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.TextBuilder.PlacementFaces
get

Returns the placement faces for NXOpen.Features.TextBuilder.Types.OnFace type

Created in NX7.5.1

License requirements: None.

unsafe NXOpen.GeometricUtilities.RectangularFrameBuilder NXOpen.Features.TextBuilder.PlanarFrame
get

Returns the planar frame

Created in NX7.5.1

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.TextBuilder.PrintMarkThickness
get

Returns the print mark thickness

Created in NX12.0.1

License requirements: None.

unsafe string NXOpen.Features.TextBuilder.PrintMarkUsageLabel
getset

Returns or sets the print mark usage label

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Features.TextBuilder.ScriptOptions NXOpen.Features.TextBuilder.Script
getset

Returns or sets the script

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Plane NXOpen.Features.TextBuilder.SectionPlane
getset

Returns or sets the section plane for NXOpen.Features.TextBuilder.Types.OnFace type

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.TextBuilder.Text
get

Returns the string expression representing the text

Created in NX7.5.1

License requirements: None.

unsafe string NXOpen.Features.TextBuilder.TextString
getset

Returns or sets the string to be rendered

Created in NX7.5.3

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.TextBuilder.Types NXOpen.Features.TextBuilder.Type
getset

Returns or sets the type

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.